be.fgov.ehealth.hubservices.core.v1

## Class SelectRevokeTransactionType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v1.SelectRevokeTransactionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:45:12+02:00",
                 comments="JAXB RI v2.3.7")
      public class SelectRevokeTransactionType
      extends Object
      implements Serializable

  Java class for SelectRevokeTransactionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectRevokeTransactionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v1}PatientIdType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v1}TransactionIdType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectRevokeTransactionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `TransactionIdType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setTransaction(TransactionIdType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectRevokeTransactionType

          public SelectRevokeTransactionType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getTransaction

          public TransactionIdType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionIdType`

    - #### setTransaction

          public void setTransaction(TransactionIdType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionIdType`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.